Page MenuHomeFreeBSD

add marvell 88e6060 support on etherswitch
ClosedPublic

Authored by yamori813_yahoo.co.jp on Oct 26 2016, 6:54 AM.

Details

Summary

add marvell 88e6060 support on etherswitch

Test Plan

FON2201 and IO-Data WN-G54/R3

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yamori813_yahoo.co.jp retitled this revision from to add marvell 88e6060 support on etherswitch.
yamori813_yahoo.co.jp updated this object.
yamori813_yahoo.co.jp edited the test plan for this revision. (Show Details)
sbruno added a subscriber: sbruno.
mizhka added a subscriber: mizhka.Nov 2 2016, 4:39 PM
mizhka added inline comments.
sys/dev/etherswitch/e6000sw/e6060sw.c
118–120 ↗(On Diff #21693)

Hi,
Does it worth to print if bootverbose?

447–450 ↗(On Diff #21693)

At least "0x18" can be replaced by macro

468–470 ↗(On Diff #21693)

Is it the same as: ports = (1<<(sc->numports + 1)) - (1<<i) - 1; ?

mizhka accepted this revision.Nov 9 2016, 7:23 AM
mizhka added a reviewer: mizhka.
This revision is now accepted and ready to land.Nov 9 2016, 7:23 AM
mizhka added a comment.EditedNov 9 2016, 7:35 AM

Hi @adrian, @loos. Is there any way to make automatic check diff against style(9)?

sys/dev/etherswitch/e6000sw/e6060sw.c
69–73 ↗(On Diff #22101)

one of style(9) improvements is possible: add tab after #define

95–102 ↗(On Diff #22101)

same - to be tab instead of space

128 ↗(On Diff #22101)

space after "if"

171 ↗(On Diff #22101)

space after "if"

248 ↗(On Diff #22101)

space: i=0 => i = 0;

yamori813_yahoo.co.jp edited edge metadata.
  • review refict
This revision now requires review to proceed.Nov 9 2016, 9:22 AM
yamori813_yahoo.co.jp edited edge metadata.
  • more style(9)
mizhka resigned from this revision.Nov 10 2016, 5:04 AM
mizhka accepted this revision.
mizhka removed a reviewer: mizhka.
mizhka added a reviewer: mizhka.
This revision is now accepted and ready to land.Nov 10 2016, 5:04 AM
adrian accepted this revision.Nov 14 2016, 11:05 PM
adrian edited edge metadata.

Cool!

Does this need a committer to fire it off into head? I can take a look just to make sure it doesn't break anything obvious.

@yamori813_yahoo.co.jp , do you have plan to merge it with e6000sw or add VLAN support?

I'm happy with his going into the tree as-is. We can always unify these drivers more later.

Would someone mind please committing this to -head?

I'm happy with his going into the tree as-is. We can always unify these drivers more later.
Would someone mind please committing this to -head?

5 mins please... :)

This revision was automatically updated to reflect the committed changes.

@mizhka_gmail.com 88e6060 is not DOT1Q vlan support. It is Original Ingress and Egress Trailer. I think two way of support VLAN this chip. One is vlan(4) like support. Or other is interface driver code support. FON2201 original code use last one. But this is old chip I think leave alone is good. :)

loos edited edge metadata.Nov 17 2016, 2:14 PM

I have a few questions (yeah, I'm late, I know...)

I cannot find where or how e6000sw.c is connected to build. It is specific to some platform or board ? Is there a reason to no add it to sys/conf/files ?

It seems to also support the model 88E6176 which is used on ClearFog Pro. At some point we may need to find a solution to support DOT1Q.

Do you think it is possible @yamori813_yahoo.co.jp ? (maybe with docs ?)

loos added a comment.Nov 18 2016, 2:19 AM

Nevermind about the 88e6176 comment, I was looking at the other file :/

But still, why these files are not linked to build ?